//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.Server
{
    [Serializable]
    public class UtteranceResult : Message
    {
        public const string k_RosMessageName = "hlrc_server/utteranceResult";
        public override string RosMessageName => k_RosMessageName;

        // response
        public uint result;

        public UtteranceResult()
        {
            this.result = 0;
        }

        public UtteranceResult(uint result)
        {
            this.result = result;
        }

        public static UtteranceResult Deserialize(MessageDeserializer deserializer) => new UtteranceResult(deserializer);

        private UtteranceResult(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.result);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.result);
        }

        public override string ToString()
        {
            return "UtteranceResult: " +
            "\nresult: " + result.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Result);
        }
    }
}
